!doctype html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

		<title>Graphs</title>

		<link rel="icon" type="image/png" href="images/org_symbol.png" />
		<link rel="stylesheet" href="css/reset.css">
		<link rel="stylesheet" href="css/reveal.css">
		<link rel="stylesheet" href="css/theme/black.css" id="theme">

		<!-- Theme used for syntax highlighting of code -->
		<link rel="stylesheet" href="lib/css/monokai.css">

		<!-- Printing and PDF exports -->
		<script>
			var link = document.createElement( 'link' );
			link.rel = 'stylesheet';
			link.type = 'text/css';
			link.href = window.location.search.match( /print-pdf/gi ) ? 'css/print/pdf.css' : 'css/print/paper.css';
			document.getElementsByTagName( 'head' )[0].appendChild( link );
		</script>
	</head>
	<body>
		<div style="background:green; left:0; right:0; position:absolute; height:30px;">
			<div style="text-align: center;">(U)Unclassified</div>
		</div>

        <div class="reveal">
            <div class="slides">
                <!-- Introduction Section -->
                <section data-background-image="images/org_symbol.png" data-background-size="13%" data-background-position="top 5% left 5%">
                    <section>
                        <h1>Graphs</h1>    
                    </section>
                    <section>
                        <h2>Graphs Overview</h2>
                    </section>
                    <section>
                        <h2>Objectives</h2>
                    </section>
                </section>
                <!-- Coding Style Guide Section -->
                <section>   
                    <section data-background-image="images/org_symbol.png" data-background-size="13%" data-background-position="top 5% left 5%">
						<h2>Graph Data Structure</h2>
						<p>A graph is a common data structure that consists of a finite set of nodes (or vertices)
							 and a set of edges connecting them</p>
						

						
						<aside class="notes">
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for
							instructor view!!
						</aside>
					</section>
					<section>
						<h2>Important Terms</h2>
						<ul>
							<li>The vertices (nodes) where the data is stored</li>

							<li>The edges (connections) which connect the nodes </li>

							</ul>
					</section>
					<section>
						<h2>What is a Graph? </h2>
						<img src="../../assets/graph1.jpg" alt="graph1">
					</section>
					<section>
						<h2>Edges can be of two types:</h2>
						<ul>
							<li>Directed edges- in which connections are one-way(Unidirectional)/li>

							<li>Undirected edges- in which connections are two-way (Bidirectional)</li>

							<img src="../../assets/graph2.jpg" alt="graph2">
							

						</ul>
					</section>
					<section>
						<h3>Graph Representations</h3>
						<ul>
							<li>Adjacency Matrix</li>
							<li>Incidence Matrix</li>
							<li>Adjacency lis</li>
					
						</ul>
					</section>
					<section>
						<h2>Adjaceny Matrix</h2>
						<img src="../../assets/graph4.jpg" alt="graph4">
						<img src="../../assets/graph5.jpg" alt="graph5">
					</section>
					<section>
						<h2>Incidence Matrix</h2>
						<img src="../../assets/graph6.jpg" alt="graph6">
					</section>
					<section>
						<h2>Adjacency List</h2>
						<img src="../../assets/graph7.jpg" alt="graph7">
					</section>
					<section>
						<h3>When are graphs used?</h3>
						<ul>
						<li>GPS systems and Google Maps </li>
						<li>Social Networks</li>
						<li>The Google Search</li>
						<li>Operations research</li>
						<li>Chemistry</li>
						</ul>
					</section>
                </section>
                <!-- Arrays Section -->
                <section>
                    <section>
                        <h2>Weighted Edges</h2>
						<img src="../../assets/graph3.jpg" alt="graph3">
                        <aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
                    </section>
                    <section>
						<h2>Weighted Graph Options</h2>
						<ul>
							<li>A → B → C → D → H = 200 + 180 + 100 + 100 = 580</li>

							<li>A → B → C → G → D → H = 200 + 180 + 100 + 150 + 100 = 730</li>

							<li>A → E → D → H = 600 + 350 + 100 = 1050</li>

							<li>A → F→ I → E → D → H = 150 + 250 + 150 + 350 + 100 = 1000</li>

						</ul>
					</section>
					
                </section>
                <!-- Access & Modify Arrays Section -->
                <section>
                    <section>
						<h2>Breadth First Traversal</h2>
						<p>Breadth-first search is one of the simplest algorithms for searching a graph.</p>
						
						<ul>
							<li>Traverses a graph in a breadth wards motion and uses a queue</li>
							<li>Rule 1: Visit the adjacent unvisited vertex. Mark it as visited. Display it. Insert it in queue</li>
							<li>Rule 2: If no adjacent vertex is found, remove the first vertex from teh queue</li>
							<li>Rule 3: Repeat Rule 1 and Rule 2 until the queue is empty</li>
						</ul>

						
						<aside class="notes">
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for
							instructor view!!
						</aside>

                        
					</section>
					<section>
						<h3>Breadth First Search</h3>
						<img src="../../assets/BFS1.jpg" alt="BFS1">
					</section>
					<section>
						<h2>Depth-Breadth Search</h2>
						<p>Traverses a graph in a depthward motion and uses a stack</p>
						
						<img src="../../assets/dfs1.jpg" alt="dfs1">

                        <aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
                    </section>
                    
                </section>
                <!-- Strings Section -->
                <section>
                    <section>
						<h2>Blank</h2>
						

                        <aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
                    </section>
                  
                </section>
                <!-- String Methods Section -->
                <section>
                    <section>
                        <h2>Blank</h2>

                        <aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
                    </section>
                  
                </section>
                <!-- Conclusion Section -->
                <section data-background-image="images/org_symbol.png" data-background-size="13%" data-background-position="top 5% left 5%">
                    <section>
                        <h2>Questions?</h2>
                    </section>
                    <section data-background-image="images/org_symbol.png" data-background-size="13%" data-background-position="top 5% left 5%">
                        <h2>Summary</h2>
                        <ul>
                            <li>List</li>
                        </ul>
                    </section>
                </section>
            </div>
        </div>

        <footer style="background:green; left:0; right:0; bottom: 0; position:absolute; height:30px;">
			<div style="text-align: center;">(U)Unclassified</div>
		</footer>	
			
			
		<script src="js/reveal.js"></script>

		<script>
			// More info about config & dependencies:
			// - https://github.com/hakimel/reveal.js#configuration
			// - https://github.com/hakimel/reveal.js#dependencies
			Reveal.initialize({
				hash: true,
				menu: {
					// Specifies which side of the presentation the menu will 
					// be shown. Use 'left' or 'right'.
					side: 'left',

					// Specifies the width of the menu.
					// Can be one of the following:
					// 'normal', 'wide', 'third', 'half', 'full', or
					// any valid css length value
					width: 'normal',

					// Add slide numbers to the titles in the slide list.
					// Use 'true' or format string (same as reveal.js slide numbers)
					numbers: true,

					// Specifies which slide elements will be used for generating
					// the slide titles in the menu. The default selects the first
					// heading element found in the slide, but you can specify any
					// valid css selector and the text from the first matching
					// element will be used.
					// Note: that a section data-menu-title attribute or an element
					// with a menu-title class will take precedence over this option
					titleSelector: 'h1, h2, h3, h4, h5, h6',

        // If slides do not have a matching title, attempt to use the
        // start of the text content as the title instead
        useTextContentForMissingTitles: false,

        // Hide slides from the menu that do not have a title.
        // Set to 'true' to only list slides with titles.
        hideMissingTitles: false,

        // Adds markers to the slide titles to indicate the 
        // progress through the presentation. Set to 'false'
        // to hide the markers.
        markers: true,

        // Specify custom panels to be included in the menu, by
        // providing an array of objects with 'title', 'icon'
        // properties, and either a 'src' or 'content' property.
        custom: false,

        // Specifies the themes that will be available in the themes
        // menu panel. Set to 'true' to show the themes menu panel
        // with the default themes list. Alternatively, provide an
        // array to specify the themes to make available in the
        // themes menu panel, for example...
        // [
        //     { name: 'Black', theme: 'css/theme/black.css' },
        //     { name: 'White', theme: 'css/theme/white.css' },
        //     { name: 'League', theme: 'css/theme/league.css' }
        // ]
        themes: true,

        // Specifies the path to the default theme files. If your
        // presentation uses a different path to the standard reveal
        // layout then you need to provide this option, but only
        // when 'themes' is set to 'true'. If you provide your own 
        // list of themes or 'themes' is set to 'false' the 
        // 'themesPath' option is ignored.
        themesPath: 'css/theme/',

        // Specifies if the transitions menu panel will be shown.
        // Set to 'true' to show the transitions menu panel with
        // the default transitions list. Alternatively, provide an
        // array to specify the transitions to make available in
        // the transitions panel, for example...
        // ['None', 'Fade', 'Slide']
        transitions: true,

        // Adds a menu button to the slides to open the menu panel.
        // Set to 'false' to hide the button.
        openButton: true,

        // If 'true' allows the slide number in the presentation to
        // open the menu panel. The reveal.js slideNumber option must 
        // be displayed for this to take effect
        openSlideNumber: true,

        // If true allows the user to open and navigate the menu using
        // the keyboard. Standard keyboard interaction with reveal
        // will be disabled while the menu is open.
        keyboard: true,

        // Normally the menu will close on user actions such as
        // selecting a menu item, or clicking the presentation area.
        // If 'true', the sticky option will leave the menu open
        // until it is explicitly closed, that is, using the close
        // button or pressing the ESC or m key (when the keyboard 
        // interaction option is enabled).
        sticky: true,

        // If 'true' standard menu items will be automatically opened
        // when navigating using the keyboard. Note: this only takes 
        // effect when both the 'keyboard' and 'sticky' options are enabled.
        autoOpen: true,

        // If 'true' the menu will not be created until it is explicitly
        // requested by calling RevealMenu.init(). Note this will delay
        // the creation of all menu panels, including custom panels, and
        // the menu button.
        delayInit: false,

        // If 'true' the menu will be shown when the menu is initialised.
        openOnInit: false,

        // By default the menu will load it's own font-awesome library
        // icons. If your presentation needs to load a different
        // font-awesome library the 'loadIcons' option can be set to false
        // and the menu will not attempt to load the font-awesome library.
        loadIcons: true
    },
    dependencies: [
        { src: 'plugin/markdown/marked.js' },
        { src: 'plugin/markdown/markdown.js' },
        { src: 'plugin/highlight/highlight.js' },
        { src: 'plugin/notes/notes.js', async: true },
        { src: 'plugin/reveal.js-menu/menu.js' }
    ]
});
</script>
</body>
</html>

